commit:     46b01cdf790ceaf477a5b61ef034217caa032b65
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May 13 01:02:43 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May 13 01:54:30 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46b01cdf

dev-python/botocore: Bump to 1.38.14

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/botocore/Manifest                |  1 +
 dev-python/botocore/botocore-1.38.14.ebuild | 67 +++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index ca0edffd0900..ecbefa5566e7 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,6 +3,7 @@ DIST botocore-1.38.10.gh.tar.gz 14616622 BLAKE2B 
adf54a0e015d3a8b17ac986f8f05b49
 DIST botocore-1.38.11.gh.tar.gz 14617163 BLAKE2B 
e521777baa74342bff16a59a0a1281e8c44abfa4e83c49aba3cf7ec21ef0fb9e4940a7aa82cd1e51ed628ce64260fbd953db8c0867139c2ed37d2a002e01ad9d
 SHA512 
6b9cd410aa2cf4169450aa6607ae68408a179258d1de8f0c465bc8010cad0ad05946822924780c68259bcce95c1b99e61459c850f9a31a7df5ac8638ba1186cf
 DIST botocore-1.38.12.gh.tar.gz 14619336 BLAKE2B 
65e66c6ef2daccef4e21a8256e4633140c2cfd424b76bee71c76fb1f9609c27623fbf34fa5a73606a9b9e1877e5eae70453b6106f0f02a1148f0baef6b5cda2e
 SHA512 
471918f08af44395297f25b663d972155dddd23d6e1904afb3c002d38e919b52785dbc7da84f8a5b56921198304a7a28320328fc00da2b786ecc8b726bd1f08f
 DIST botocore-1.38.13.gh.tar.gz 14619576 BLAKE2B 
088dfd540934b2c1f20e5a63ffd3aa2351021f3f61207d30d3352e3d92c5df6138e87fe74fc9e48b2bf221dda2ede7e632f50f4378448a6dc6cdc2f87aaa0b02
 SHA512 
b1c7b585289859b94325bb1f3934bcb3a0d7596cb22e20ee79125aff96af2aa9337ec97a197426200b4ac606370eecf395a0ba7e26c79946c9390fbb02acc578
+DIST botocore-1.38.14.gh.tar.gz 14627287 BLAKE2B 
9033f12f01b6478ce9e2bf5a5796a79a5b45157537b542007d22d7a27aed0cc2f680d5be7bbf49dd6e29708b28221de19387dbe9104f6fca0175deba7bacc565
 SHA512 
f1e49ceb8f39e9978d9765662e8adf7d6973405559aa62c954a16d4ade2740065efbcc0304faf6ce18fc5f71b2e25091d7dbd4cf406e197a81cad15a7617a5ae
 DIST botocore-1.38.3.gh.tar.gz 14578552 BLAKE2B 
4766db1ba2651ebe65c79f8a37c91cf95875a20c0cc51c1886cd394b90d50109738daa79b398e0c4b80031cfab69e1338dfaafbc0ae796fffa3348f6b13fc1ce
 SHA512 
ad69e119d5bbc98a0c14c1c927badeecc1f57d31305e6a07af41d4d4bf6755f5abc150e36321f71b9495221ad93052d84a1dc964fb9ef6fdd791d4c37e75a01a
 DIST botocore-1.38.8.gh.tar.gz 14606167 BLAKE2B 
cb92f6014349f5188d62ddeb043e7532c50c7edc984cabae918825cdace981694c37ba656afcbbb64e65e275da4980d5f256a945bbcc63f9609272b08690c3d5
 SHA512 
bc9096051fde740a908ef0912a0c205595e7df653a349c167f616a788423578ba6b3aed6fe6213f528faa32b1c946abf0ac66dd81afdc05d41d12a4af4f7e818
 DIST botocore-1.38.9.gh.tar.gz 14612563 BLAKE2B 
10a0e43846393c06c808e306cde1398ea9374712d07b71d16270cd3238d3063f66ff532fab465acb5a87065002b7ca7394d0c77a25c83b9f8b8ecad7823042a2
 SHA512 
748c373a1be84a123968444316de7ab6f34b548d7619183d23ae07d0b0aeeeebc8ba1d25bb5517f0491144f7578fa9a7e9fbca066f6aa0da7b2d7439138bb8fd

diff --git a/dev-python/botocore/botocore-1.38.14.ebuild 
b/dev-python/botocore/botocore-1.38.14.ebuild
new file mode 100644
index 000000000000..b75511187ff5
--- /dev/null
+++ b/dev-python/botocore/botocore-1.38.14.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+       https://github.com/boto/botocore/
+       https://pypi.org/project/botocore/
+"
+SRC_URI="
+       https://github.com/boto/botocore/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND="
+       <dev-python/jmespath-2[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+       # unpin deps
+       sed -i -e "s:>=.*':':" setup.py || die
+
+       # unbundle deps
+       rm -r botocore/vendored || die
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # rely on bundled six
+               tests/functional/test_six_imports.py::test_no_bare_six_imports
+               tests/functional/test_six_threading.py::test_six_thread_safety
+       )
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest tests/{functional,unit}
+}

Reply via email to